## ros-lunar-rosgraph 1.13.7

=== debian/changelog ===
ros-lunar-rosgraph (1.13.7-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Aug 2018 07:00:00 -0000

ros-lunar-rosgraph (1.13.6-0xenial) xenial; urgency=high

  * fix search strategy for python_logging config (#1292 <https://github.com/ros/ros_comm/issues/1292>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-lunar-rosgraph (1.13.5-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-lunar-rosgraph (1.13.4-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-lunar-rosgraph (1.13.3-0xenial) xenial; urgency=high

  * use defined error codes rather than hardcoded integers (#1174 <https://github.com/ros/ros_comm/issues/1174>)
  * improve logger tests (#1144 <https://github.com/ros/ros_comm/issues/1144>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-lunar-rosgraph (1.13.2-0xenial) xenial; urgency=high

  * fix stack frame identification in rospy logging (#1141 <https://github.com/ros/ros_comm/issues/1141>, regression from 1.13.1)
  * make RospyLogger.findCaller compatible with Python 3 (#1121 <https://github.com/ros/ros_comm/issues/1121>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-lunar-rosgraph (1.13.1-0xenial) xenial; urgency=high

  * improve message when roslogging cannot change permissions (#1068 <https://github.com/ros/ros_comm/issues/1068>)
  * allow python_logging.yaml for logging configuration (#1061 <https://github.com/ros/ros_comm/issues/1061>)
  * write log for class method with class name (#1043 <https://github.com/ros/ros_comm/issues/1043>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-lunar-rosgraph (1.13.0-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-lunar-rosgraph (1.12.7-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-lunar-rosgraph (1.12.6-0xenial) xenial; urgency=high

  * change rospy default rosconsole format for consistency with roscpp (#879 <https://github.com/ros/ros_comm/pull/879>)
  * increase request_queue_size for xmlrpc server (#849 <https://github.com/ros/ros_comm/issues/849>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-lunar-rosgraph (1.12.5-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-lunar-rosgraph (1.12.4-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-lunar-rosgraph (1.12.3-0xenial) xenial; urgency=high

  * add 'Darwin' to unix-like platforms improving address resolution (#846 <https://github.com/ros/ros_comm/pull/846>)
  * use logging Formatter, enabling printing exception info with exc_info=1 (#828 <https://github.com/ros/ros_comm/pull/828>)
  * add __contains__, which is a better spelling of has (#754 <https://github.com/ros/ros_comm/pull/754>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-lunar-rosgraph (1.12.2-0xenial) xenial; urgency=high

  * avoid creating a latest symlink for the root of the log dir (#795 <https://github.com/ros/ros_comm/pull/795>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-lunar-rosgraph (1.12.1-0xenial) xenial; urgency=high

  * fix str conversion in encode_ros_handshake_header (#792 <https://github.com/ros/ros_comm/pull/792>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-lunar-rosgraph (1.12.0-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-lunar-rosgraph (1.11.18-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-lunar-rosgraph (1.11.17-0xenial) xenial; urgency=high

  * fix raising classes not derived from Exception which caused a TypeError (#761 <https://github.com/ros/ros_comm/pull/761>)
  * fix handshake header with Python 3 (#759 <https://github.com/ros/ros_comm/issues/759>)
  * fix encoding of header fields (#704 <https://github.com/ros/ros_comm/issues/704>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-lunar-rosgraph (1.11.16-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-lunar-rosgraph (1.11.15-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-lunar-rosgraph (1.11.14-0xenial) xenial; urgency=high

  * create a symlink to the latest log directory (#659 <https://github.com/ros/ros_comm/pull/659>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-lunar-rosgraph (1.11.13-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-lunar-rosgraph (1.11.12-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-lunar-rosgraph (1.11.11-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-lunar-rosgraph (1.11.10-0xenial) xenial; urgency=high

  * rosconsole format for rospy (#517 <https://github.com/ros/ros_comm/issues/517>)
  * fix exception at roscore startup if python has IPv6 disabled (#515 <https://github.com/ros/ros_comm/issues/515>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-lunar-rosgraph (1.11.9-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-lunar-rosgraph (1.11.8-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000


